Subject: bug#76091: 31.0.50; festure/igc: buffer.h:829: Emacs fatal error: assertion failed: BUFFERP (a)

From: Helmut Eller <[email-masked]>
Date: Fri, 07 Feb 2025 21:16:52 +0100

On Fri, Feb 07 2025, Pip Cet wrote:

> It still needs more testing, thought, and comments.  All the volatile
> stuff is needed because we can't copy a union with word atomicity: all
> we have is memcpy, which might copy bytewise and result in an invalid
> intermediate state.

But volatile doesn't guarantee atomicity.  Does it?

> Helmut, can you look over the larger_marker_vector changes?  While
> testing, I hit easserts there, so I added some new ones to catch the
> situation earlier.  I think the old code was fine, but the new one
> should also be, right?

Yes, I think the same.

Helmut